Subject: bug#6226: Please add a customizable option to NOT call tramp for every sudo command

From: Ken Hori <[email-masked]>
Date: Fri, 21 May 2010 20:50:12 -0700

Yes, I am aware of that. Thank you. And I'm also aware
I can just remove eshell-unix from eshell-modules-list.

Inside em-unix.el are

  eshell/agrep
  eshell/cat
  eshell/cp
  eshell/diff
  eshell/du
  eshell/egrep
  eshell/fgrep
  eshell/glimpse
  eshell/grep
  eshell/info
  eshell/ln
  eshell/locate
  eshell/make
  eshell/man
  eshell/mkdir
  eshell/mv
  eshell/occur
  eshell/rm
  eshell/rmdir
  eshell/su
  eshell/sudo
  eshell/time
  eshell/whoami

Some are beneficial, but many command wrappers are not -- at
least to me.

I think it's a good idea to give the users freedom
of choosing which eshell commands to opt-in or out.

On Wed, May 19, 2010 at 11:43 PM, Michael Albinus
<[email-masked]> wrote:
> Ken Hori <[email-masked]> writes:
>
>> I've recently noticed Eshell is now calling tramp for every sudo
>> command. Tramp is very slow, and I believe for most cases tramp
>> intermediation is unnecessary.
>>
>> Could we please add a customizable switch to enable/disable
>> eshell/sudo? Disabling eshell/sudo by default would be even better.
>
> All built-in commands of eshell can be disabled by prepending "*". See
>
>  (info "(eshell)Built-ins")
>
> That means, you shall call
>
> ~ $ *sudo command
>
> Best regards, Michael.
>